# Results

## Protein production and baseline values

A total of 117 proteins, including batched samples of wild type BglB, were produced, purified, and characterized in this study. Of 117 proteins synthesized and assayed, 79 proteins express and purify as soluble protein. The remaining 38 mutants did not appear on a gel after at least 2 independent production attempts. 

Of the 79 solubly-expressed mutants, 69 displayed a melting temperature fit to the logistic equation. Data from the remaining 10 could not be used to determine Tm because the kinetic constants for these mutants (e.g., the catalytic residue "knockout" E353A) are below our limit of detection. 

Additionally, kinetic constants for 22 proteins were determined as described previously \cite{26815142}. Together, soluble expression, kinetic constants (kcat, km, kcat/km), and melting temperature are reported for 114 mutants of BglB. **Figure 2** depicts the data set as a heat map, with values relative to native BglB. [S1 A complete table of stability and kinetic data].  

## Summary of effects of mutations on BglB thermal stability

The wild type BglB across three replicates had an average melting temperature of 39.6 C. Across 69 point mutations, the average melting temperature was 39.0 C within a range of 33.8 C and 45.3 C. The average kurtosis was -0.75. 58% of Tm values for mutants were within one degree of the native BglB value. Of the 114 mutants reported, 36% exhibited a lower melting temperature than that of native BglB and 9% displayed a higher melting temperature. The largest Tm observed in this data set is N404C, which increased the Tm of BglB to 45.3 C (dTm=+5.4 ˚C). The mutation that decreased the thermal stability of BglB the most was H178A (dTm=-7.0 ˚C).

